declare const _default: import("vue").DefineComponent<{}, {
    $emit: (event: "input" | "clear" | "update:modelValue" | "on-intersect" | "intersect", ...args: any[]) => void;
    error: boolean;
    label: string;
    disabled: boolean;
    modelValue: null;
    prependInnerIcon: string;
    multiple: boolean;
    items: unknown[];
    itemTitle: string;
    itemValue: string;
    menuProps: Record<string, any>;
    withSelectAll: boolean;
    messages?: string | undefined;
    $props: {
        readonly error?: boolean | undefined;
        readonly label?: string | undefined;
        readonly disabled?: boolean | undefined;
        readonly modelValue?: null | undefined;
        readonly prependInnerIcon?: string | undefined;
        readonly multiple?: boolean | undefined;
        readonly items?: unknown[] | undefined;
        readonly itemTitle?: string | undefined;
        readonly itemValue?: string | undefined;
        readonly menuProps?: Record<string, any> | undefined;
        readonly withSelectAll?: boolean | undefined;
        readonly messages?: string | undefined;
    };
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
